#
# spec file for package libgnomeui (Version 2.12.0)
#
# Copyright (c) 2006 SUSE LINUX Products GmbH, Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
#
# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

# norootforbuild
# usedforbuild    Mesa Mesa-devel aaa_base acl alsa alsa-devel atk atk-devel attr audiofile audiofile-devel audit-libs autoconf automake bash bind-libs bind-utils binutils bison bzip2 cairo cairo-devel coreutils cpio cpp cracklib cvs cyrus-sasl db dbus-1 dbus-1-devel dbus-1-glib desktop-translations diffutils docbook-dsssl-stylesheets docbook-xsl-stylesheets docbook_3 docbook_4 e2fsprogs esound esound-devel expat file filesystem fillup findutils flex fontconfig fontconfig-devel freetype2 freetype2-devel gawk gcc gconf2 gconf2-devel gdbm gdbm-devel gdk-pixbuf gettext gettext-devel glib glib2 glib2-devel glibc glibc-devel glibc-locale glitz glitz-devel gnome-common gnome-filesystem gnome-keyring gnome-keyring-devel gnome-patch-translation gnome-vfs2 gnome-vfs2-devel gnutls gnutls-devel gpm grep groff gtk gtk2 gtk2-devel gtkdoc gzip hal hal-devel info insserv intltool iso_ent klogd less libacl libart_lgpl libart_lgpl-devel libattr libbonobo libbonobo-devel libbonoboui libbonoboui-devel libcom_err libdrm libgcc libgcrypt libgcrypt-devel libglade2 libglade2-devel libgnome libgnome-devel libgnomecanvas libgnomecanvas-devel libgpg-error libgpg-error-devel libjpeg libjpeg-devel libnscd libpng libpng-devel libstdc++ libstdc++-devel libtiff libtiff-devel libtool libusb libxcrypt libxml2 libxml2-devel libxslt libzio m4 mDNSResponder-devel mDNSResponder-lib make man mktemp module-init-tools ncurses ncurses-devel net-tools netcfg openjade openldap2-client openmotif-libs opensp openssl openssl-devel orbit2 orbit2-devel pam pam-modules pango pango-devel patch perl perl-XML-Parser permissions pkgconfig popt popt-devel procinfo procps psmisc pwdutils rcs readline resmgr rpm sed sgml-skel strace sysvinit tar tcpd texinfo timezone unzip update-desktop-files util-linux vim xorg-x11-devel xorg-x11-libs zlib zlib-devel

Name:           libgnomeui
BuildRequires:  gdk-pixbuf gnome-common gnome-keyring-devel gnome-patch-translation gnutls-devel gtkdoc intltool libbonoboui-devel libglade2-devel libtiff-devel mDNSResponder-devel perl-XML-Parser sgml-skel update-desktop-files
%define prefix  /opt/gnome
%define sysconfdir /etc%{prefix}
License:        LGPL
Group:          Development/Libraries/GNOME
Autoreqprov:    on
Requires:       gnome-icon-theme shared-mime-info
Version:        2.12.0
Release:        28.4
Summary:        The GNOME User Interface Library
Source:         libgnomeui-%{version}.tar.bz2
Patch:          libgnomeui-%{version}-free-of-static-mem.diff
Patch1:         libgnomeui-mime-icon-names.patch
Patch2:         libgnomeui-file-chooser-network-servers.diff
Patch3:         libgnomeui-122703.patch
Patch4:         libgnomeui-315549.patch
Patch5:         libgnomeui-potfiles.patch
Patch6:         libgnomeui-155010-filechooser-show-drives.diff
Patch7:         libgnomeui-184875-gtkfilesystemgnomevfs-no-extra-slash.diff
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

%description
This library contains all the user interface-related functions for
GNOME-based software. You need the libgnomeui-devel package if you want
to develop GNOME 2.x Desktop software.



Authors:
--------
    jacob berkman  <jacob@ximian.com>
    Michael Meeks  <michael@ximian.com>
    Anders Carlsson  <andersca@gnu.org>

%debug_package
%package devel
Summary:        Include Files and Libraries mandatory for Development.
Group:          Development/Libraries/GNOME
Requires:       libgnomeui = %{version}
Requires:       libgnome-devel libgnomecanvas-devel libbonoboui-devel gtk2-devel libart_lgpl-devel gconf2-devel popt-devel gnome-keyring-devel libjpeg-devel gnome-vfs2-devel
Autoreqprov:    on

%description devel
This package contains all necessary include files and libraries needed
to develop applications that require these.



Authors:
--------
    jacob berkman  <jacob@ximian.com>
    Michael Meeks  <michael@ximian.com>
    Anders Carlsson  <andersca@gnu.org>

%package doc
Summary:        Additional Package Documentation.
Group:          Development/Libraries/GNOME
Requires:       %{name} = %{version}

%description doc
This library contains all the User-Interface related functions for
GNOME-based Software. You need the libgnomeui-devel package too if you
want to develop GNOME 2.x Desktop-based Software.



Authors:
--------
    jacob berkman  <jacob@ximian.com>
    Michael Meeks  <michael@ximian.com>
    Anders Carlsson  <andersca@gnu.org>

%prep
%setup -q -n libgnomeui-%{version} 
%patch5
gnome-patch-translation-prepare
%patch
%patch1
%patch2 -p1
%patch3 -p1
%patch4
%patch6 -p1
%patch7 -p1
gnome-patch-translation-update

%build
rename no nb po/no.*
sed "s/\(ALL_LINGUAS.*\) no /\1 nb /" configure.in > configure.in.tmp && mv configure.in.tmp configure.in
%{?suse_update_config:%{suse_update_config -f}}
touch libgnomeui/pixmaps/copyright.txt
libtoolize --force
aclocal -I .
automake -c -a -f
autoconf 
CFLAGS="$RPM_OPT_FLAGS -fno-strict-aliasing" ./configure --prefix=%{prefix} \
	    --libdir=%{prefix}/%_lib \
	    --with-native-locale=yes \
	    --with-xinput=xfree \
	    --mandir=%{_mandir} \
	    --libexecdir=%{prefix}/lib/libgnomeui \
	    --infodir=%{_infodir} \
	    --sysconfdir=%{sysconfdir} \
	    --localstatedir=/var \
	    --disable-schemas-install \
            --enable-gtk-doc
make

%install
rm -rf $RPM_BUILD_ROOT
export LIBRARY_PATH=$RPM_BUILD_ROOT/opt/gnome/%_lib 
make install DESTDIR=$RPM_BUILD_ROOT
%find_lang libgnomeui-2.0
rm $RPM_BUILD_ROOT%{prefix}/%_lib/libglade/2.0/*.*a
rm $RPM_BUILD_ROOT%{prefix}/%_lib/gtk-2.0/2.4.0/filesystems/libgnome-vfs.*a

%post
%run_ldconfig

%postun
%run_ldconfig

%clean
rm -rf $RPM_BUILD_ROOT

%files -f %files -f libgnomeui-2.0.lang
%defattr(-,root,root)
%doc AUTHORS COPYING.LIB README NEWS ChangeLog 
%{prefix}/share/pixmaps/*.png
%{prefix}/%_lib/libglade/2.0/libgnome*.so
%{prefix}/%_lib/*.so.*
%{prefix}/lib/libgnomeui
%{prefix}/%_lib/gtk-2.0/2.4.0/filesystems/libgnome-vfs.so

%files devel
%defattr(-,root,root)
%{prefix}/%_lib/pkgconfig/libgnomeui-2.0.pc
%{prefix}/include/libgnomeui-2.0
%{prefix}/%_lib/*.so
%{prefix}/%_lib/*.*a
#%{prefix}/%_lib/libglade/2.0/*.*a
#%{prefix}/%_lib/gtk-2.0/2.4.0/filesystems/libgnome-vfs.*a

%files doc
%defattr(-,root,root)
%{prefix}/share/gtk-doc/html/libgnomeui

%changelog -n libgnomeui
* Wed Jun 21 2006 - federico@novell.com
- Added libgnomeui-184875-gtkfilesystemgnomevfs-no-extra-slash.diff to
  fix part of https://bugzilla.novell.com/show_bug.cgi?id=184875.
  This makes GtkFileSystemGnomeVFS not append a "/" to the end of
  certain URIs if they already have one.
* Thu Apr 13 2006 - federico@novell.com
- Added libgnomeui-155010-filechooser-show-drives.diff to fix the
  libgnomeui part of
  https://bugzilla.novell.com/show_bug.cgi?id=155010.  This makes the
  file chooser show all user-visible drives in the Places pane, and
  all the user-visible volumes.
* Fri Apr 07 2006 - sbrabec@suse.cz
- Use translation compendium gnome-patch-translation.
* Wed Feb 15 2006 - gekker@suse.de
- Backport critical fixes from 2.12.1 (b.g.o#315549,122703)
* Thu Feb 02 2006 - federico@novell.com
- Added libgnomeui-file-chooser-network-servers.diff.  This makes
  GtkFileChooser show a "Network Servers" volume through which you can
  browse the network.
* Wed Jan 25 2006 - mls@suse.de
- converted neededforbuild to BuildRequires
* Wed Nov 23 2005 - dobey@suse.de
- Add patch to improve support for the icon naming spec
  Accepted upstream in libgnomeui 2.13.x
* Mon Sep 26 2005 - mls@suse.de
- make devel package require base package
* Thu Sep 08 2005 - pmladek@suse.cz
- fixed to do not free a statically allocated buffer [#115643]
* Tue Sep 06 2005 - sbrabec@suse.cz
- Updated to version 2.12.0.
* Mon Sep 05 2005 - sbrabec@suse.cz
- Updated to version 2.11.4.
* Tue Aug 23 2005 - gekker@suse.de
- Update to version 2.11.3
* Thu Aug 11 2005 - gekker@suse.de
- Updated to version 2.11.2
* Tue Aug 02 2005 - sbrabec@suse.cz
- Updated to version 2.11.1.
* Fri Jun 24 2005 - sbrabec@suse.cz
- Fixed devel requirements (#8283).
- Removed unneeded static modules and .la files for modules.
* Fri Jun 17 2005 - gekker@suse.de
- Fix sentinel patch to work with new glib2
* Wed Jun 01 2005 - sbrabec@suse.cz
- Fixed devel requirements.
* Thu Apr 14 2005 - sbrabec@suse.cz
- Added audiofile-devel to neededforbuild.
* Mon Apr 11 2005 - sbrabec@suse.cz
- Fixed Requires of doc subpackage.
* Tue Mar 08 2005 - gekker@suse.de
- Update to version 2.10.0 (GNOME 2.10)
* Fri Mar 04 2005 - gekker@suse.de
- Update to version 2.9.2
* Mon Feb 07 2005 - ro@suse.de
- added mDNSResponder to neededforbuild
* Sat Feb 05 2005 - meissner@suse.de
- added sentinel attributes to 2 functions.
* Thu Jan 27 2005 - hhetter@suse.de
- updated to version 2.9.1
- force gtk-doc generation for doc package
* Thu Jan 13 2005 - gekker@suse.de
- Update to version 2.8.0
* Fri Nov 19 2004 - ro@suse.de
- removed extra aclocal include directive
* Mon Oct 25 2004 - ro@suse.de
- locale rename: no -> nb
* Tue Oct 12 2004 - sbrabec@suse.cz
- Use gnutls instead of openssl (#44438).
* Tue Oct 12 2004 - sbrabec@suse.cz
- Fixed libexecdir for bi-arch (#47050).
* Sat May 29 2004 - mibarra@suse.de
- Patch to add contents background properties and fix theme colors
* Mon May 17 2004 - sbrabec@suse.cz
- Require shared-mime-info.
* Tue Apr 27 2004 - sbrabec@suse.cz
- Updated to version 2.6.1 (GNOME 2.6).
* Mon Mar 22 2004 - hhetter@suse.de
- libgnomeui-icon-path.dif: enable arbitrary icon paths in
  addition to the icon paths of the current theme.
  GNOME_ICON_PATH can contain a list of directories separated
  by ":"
* Wed Mar 10 2004 - sbrabec@suse.cz
- %%{sysconfdir}/gconf should not be owned by this package.
- Fixed doc build.
* Sat Jan 10 2004 - adrian@suse.de
- add %%defattr
* Tue Oct 07 2003 - sbrabec@suse.cz
- Updated to version 2.4.0.1 (GNOME 2.4).
* Mon Sep 29 2003 - hhetter@suse.de
- updated to version 2.4.0.1 [GNOME2.4]
* Mon Aug 18 2003 - sbrabec@suse.cz
- Updated to version 2.2.2.
* Sat Aug 16 2003 - adrian@suse.de
- add libgnome-devel, libbonoboui-devel and libgnomecanvas-devel
  to Requires of -devel package
- add %%run_ldconfig
* Thu Jul 24 2003 - hhetter@suse.de
- build with libtiff
* Mon Jul 14 2003 - sbrabec@suse.cz
- GNOME prefix change to /opt/gnome.
* Tue Jul 08 2003 - sbrabec@suse.cz
- Require gnome-icon-theme.
* Fri Jun 27 2003 - sbrabec@suse.cz
- Set localstatedir to /var (needed for gnome-scores).
* Tue Jun 24 2003 - sbrabec@suse.cz
- Updated to version 2.2.1.
- Updated neededforbuild.
- Prefix clash fix (gtk-doc).
* Mon Jun 02 2003 - ro@suse.de
- remove unpackaged files from buildroot
* Tue Jan 28 2003 - hhetter@suse.de
- updated to version 2.2.0.1
* Wed Jan 15 2003 - hhetter@suse.de
- build with libexpat
- update to version 2.1.90
* Thu Nov 28 2002 - hhetter@suse.de
- updated to version 2.0.6 [GNOME 2.0.3]
* Thu Oct 24 2002 - hhetter@suse.de
- updated to version 2.0.5
- use "-c" with automake (Bug Id#21066)
- FHS fix
* Tue Sep 24 2002 - sbrabec@suse.cz
- Added alsa-devel to neededforbuild, because esound-devel can require it.
* Wed Sep 18 2002 - sbrabec@suse.cz
- Added alsa to neededforbuild, because esound can depend on it.
* Thu Aug 15 2002 - hhetter@suse.de
- branch doc package
* Fri Aug 09 2002 - hhetter@suse.de
- add openssl to neededforbuild
* Thu Aug 08 2002 - hhetter@suse.de
- updated to version 2.0.3
  * libexec movement
* Tue Jun 25 2002 - hhetter@suse.de
- updated to version 2.0.1
* Fri Jun 21 2002 - ro@suse.de
- use "-a -f" for automake
* Mon Jun 10 2002 - hhetter@suse.de
- updated to version 2.0.0
* Tue Jun 04 2002 - hhetter@suse.de
- updated to version 1.117.2
* Wed May 15 2002 - ro@suse.de
- use libdir
* Wed Apr 10 2002 - hhetter@suse.de
- updated to 1.114.0 [gnome desktop beta3]
* Fri Feb 01 2002 - ro@suse.de
- changed neededforbuild <libpng> to <libpng-devel-packages>
* Fri Jan 25 2002 - hhetter@suse.de
- build with audiofile
* Thu Jan 24 2002 - hhetter@suse.de
- build with esound
* Thu Jan 17 2002 - hhetter@suse.de
- prefixed to /opt/gnome2
* Thu Jan 10 2002 - hhetter@suse.de
- initial SuSE package for GNOME 2.0 platform
